| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
HistogramSvc::Helper Struct Reference

`#include <src/HistogramSvc/HistogramSvc.h>`

Collaboration diagram for HistogramSvc::Helper:
[legend]

## Public Member Functions
| Helper (HistogramSvc *p)
template<class A1 , class A3 >
StatusCode | retrieve (A1 a1, A3 *&a3)
template<class A1 , class A2 , class A3 >
StatusCode | retrieve (A1 a1, A2 a2, A3 *&a3)
template<class A1 , class A3 >
StatusCode | find (A1 a1, A3 *&a3)
template<class A1 , class A2 , class A3 >
StatusCode | find (A1 a1, A2 a2, A3 *&a3)

## Static Public Member Functions
template<class R , class S , class T1 , class T2 >
static R * | act (R *res, const S &b, void(T1::*pmf)(const T2 *, Double_t), Double_t scale)
template<class R , class S , class T1 , class T2 >
static R * | act (R *res, const S &b, Bool_t(T1::*pmf)(const T2 *, Double_t), Double_t scale)
template<class R , class S , class T1 , class T2 >
static R * | act (R *res, const S &b, void(T1::*pmf)(const T2 *))
template<class R , class S , class T1 , class T2 >
static R * | act (R *res, const S &b, Bool_t(T1::*pmf)(const T2 *))

## Public Attributes
HistogramSvc * | m_svc

## Detailed Description

Definition at line 67 of file HistogramSvc.h.

## Constructor & Destructor Documentation

HistogramSvc::Helper::Helper | ( | HistogramSvc * | p | ) |
| inline

Definition at line 69 of file HistogramSvc.h.

69 : m_svc(p) {}
HistogramSvc::Helper::m_svc
HistogramSvc * m_svc
Definition: HistogramSvc.h:68

## Member Function Documentation

template<class R , class S , class T1 , class T2 >

static R* HistogramSvc::Helper::act | ( | R * | res,
|  | const S & | b,
|  | void(T1::*)(const T2 *, Double_t) | pmf,
|  | Double_t | scale
| ) |  |
| inline static

Definition at line 95 of file HistogramSvc.h.

95 {
96 T1 *h1 = Gaudi::getRepresentation<R,T1>(*res);
97 T1 *h2 = Gaudi::getRepresentation<R,T1>(b);
98 if ( h1 && h2 ) {
99 (h1->*pmf)(h2,scale);
100 return res;
101 }
102 return nullptr;
103 }
read_lhcb_event_file.h1
tuple h1
Definition: read_lhcb_event_file.py:17
Test.h2
tuple h2
Definition: Test.py:42
template<class R , class S , class T1 , class T2 >

static R* HistogramSvc::Helper::act | ( | R * | res,
|  | const S & | b,
|  | Bool_t(T1::*)(const T2 *, Double_t) | pmf,
|  | Double_t | scale
| ) |  |
| inline static

Definition at line 105 of file HistogramSvc.h.

105 {
106 T1 *h1 = Gaudi::getRepresentation<R,T1>(*res);
107 T1 *h2 = Gaudi::getRepresentation<R,T1>(b);
108 if ( h1 && h2 ) {
109 (h1->*pmf)(h2,scale);
110 return res;
111 }
112 return nullptr;
113 }
read_lhcb_event_file.h1
tuple h1
Definition: read_lhcb_event_file.py:17
Test.h2
tuple h2
Definition: Test.py:42
template<class R , class S , class T1 , class T2 >

static R* HistogramSvc::Helper::act | ( | R * | res,
|  | const S & | b,
|  | void(T1::*)(const T2 *) | pmf
| ) |  |
| inline static

Definition at line 115 of file HistogramSvc.h.

115 {
116 T1 *h1 = Gaudi::getRepresentation<R,T1>(*res);
117 T1 *h2 = Gaudi::getRepresentation<R,T1>(b);
118 if ( h1 && h2 ) {
119 (h1->*pmf)(h2);
120 return res;
121 }
122 return nullptr;
123 }
read_lhcb_event_file.h1
tuple h1
Definition: read_lhcb_event_file.py:17
Test.h2
tuple h2
Definition: Test.py:42
template<class R , class S , class T1 , class T2 >

static R* HistogramSvc::Helper::act | ( | R * | res,
|  | const S & | b,
|  | Bool_t(T1::*)(const T2 *) | pmf
| ) |  |
| inline static

Definition at line 125 of file HistogramSvc.h.

125 {
126 T1 *h1 = Gaudi::getRepresentation<R,T1>(*res);
127 T1 *h2 = Gaudi::getRepresentation<R,T1>(b);
128 if ( h1 && h2 ) {
129 (h1->*pmf)(h2);
130 return res;
131 }
132 return nullptr;
133 }
read_lhcb_event_file.h1
tuple h1
Definition: read_lhcb_event_file.py:17
Test.h2
tuple h2
Definition: Test.py:42
template<class A1 , class A3 >

StatusCode HistogramSvc::Helper::find | ( | A1 | a1,
|  | A3 *& | a3
| ) |  |
| inline

Definition at line 82 of file HistogramSvc.h.

82 {
83 DataObject* pObject = nullptr;
84 StatusCode sc = m_svc->DataSvc::findObject(a1,pObject);
85 a3 = dynamic_cast<A3*>(pObject);
86 return sc;
87 }
AtomicAlgSequencerTest.a1
tuple a1
Definition: AtomicAlgSequencerTest.py:54
merge_files.sc
int sc
Definition: merge_files.py:167
HistogramSvc::Helper::m_svc
HistogramSvc * m_svc
Definition: HistogramSvc.h:68
AtomicAlgSequencerTest.a3
tuple a3
Definition: AtomicAlgSequencerTest.py:61
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30
template<class A1 , class A2 , class A3 >

StatusCode HistogramSvc::Helper::find | ( | A1 | a1,
|  | A2 | a2,
|  | A3 *& | a3
| ) |  |
| inline

Definition at line 88 of file HistogramSvc.h.

88 {
89 DataObject* pObject = nullptr;
90 StatusCode sc = m_svc->DataSvc::findObject(a1,a2,pObject);
91 a3 = dynamic_cast<A3*>(pObject);
92 return sc;
93 }
AtomicAlgSequencerTest.a1
tuple a1
Definition: AtomicAlgSequencerTest.py:54
merge_files.sc
int sc
Definition: merge_files.py:167
HistogramSvc::Helper::m_svc
HistogramSvc * m_svc
Definition: HistogramSvc.h:68
AtomicAlgSequencerTest.a3
tuple a3
Definition: AtomicAlgSequencerTest.py:61
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
AtomicAlgSequencerTest.a2
tuple a2
Definition: AtomicAlgSequencerTest.py:57
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30
template<class A1 , class A3 >

StatusCode HistogramSvc::Helper::retrieve | ( | A1 | a1,
|  | A3 *& | a3
| ) |  |
| inline

Definition at line 70 of file HistogramSvc.h.

70 {
71 DataObject* pObject = nullptr;
72 StatusCode sc = m_svc->DataSvc::retrieveObject(a1,pObject);
73 a3 = dynamic_cast<A3*>(pObject);
74 return sc;
75 }
AtomicAlgSequencerTest.a1
tuple a1
Definition: AtomicAlgSequencerTest.py:54
merge_files.sc
int sc
Definition: merge_files.py:167
HistogramSvc::Helper::m_svc
HistogramSvc * m_svc
Definition: HistogramSvc.h:68
AtomicAlgSequencerTest.a3
tuple a3
Definition: AtomicAlgSequencerTest.py:61
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30
template<class A1 , class A2 , class A3 >

StatusCode HistogramSvc::Helper::retrieve | ( | A1 | a1,
|  | A2 | a2,
|  | A3 *& | a3
| ) |  |
| inline

Definition at line 76 of file HistogramSvc.h.

76 {
77 DataObject* pObject = nullptr;
78 StatusCode sc = m_svc->DataSvc::retrieveObject(a1,a2,pObject);
79 a3 = dynamic_cast<A3*>(pObject);
80 return sc;
81 }
AtomicAlgSequencerTest.a1
tuple a1
Definition: AtomicAlgSequencerTest.py:54
merge_files.sc
int sc
Definition: merge_files.py:167
HistogramSvc::Helper::m_svc
HistogramSvc * m_svc
Definition: HistogramSvc.h:68
AtomicAlgSequencerTest.a3
tuple a3
Definition: AtomicAlgSequencerTest.py:61
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
AtomicAlgSequencerTest.a2
tuple a2
Definition: AtomicAlgSequencerTest.py:57
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30

## Member Data Documentation

HistogramSvc* HistogramSvc::Helper::m_svc

Definition at line 68 of file HistogramSvc.h.

The documentation for this struct was generated from the following file:

- GaudiCommonSvc/src/HistogramSvc/HistogramSvc.h